VSTGUI: VSTGUI::Standalone Namespace Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Namespaces | Classes | Typedefs | Enumerations | Functions | Variables
VSTGUI::Standalone Namespace Reference
New classes » Version 4.5

Standalone Library More...

## Namespaces
namespace | Application
namespace | Async
| asynchronous tasks
namespace | CommandGroup
| predefined command groups
namespace | CommandName
namespace | Commands
| predefined commands
namespace | UIDesc
namespace | Value
| value create and helper functions

## Classes
struct | AlertBoxConfig
| Alertbox configuration. More...
struct | AlertBoxForWindowConfig
| Alertbox for window configuration. More...
struct | Command
| Command definition More...
class | IApplication
| Application interface. More...
class | ICommandHandler
| Handler for commands. More...
class | ICommonDirectories
class | IMenuBuilder
| Menu builder interface. More...
class | IMutableStepValue
class | IPreference
| Preference interface. More...
class | IRangeValueConverter
class | ISharedUIResources
| Shared UI resources interface. More...
class | IStepValue
| extension to IValue for a non continous value with discrete steps More...
class | IStringListValue
class | IStringValue
class | IUIDescWindowController
| Accessor interface for the window controller of an UIDescription window. More...
class | IValue
| Value interface. More...
class | IValueConverter
| Value converter interface More...
class | IValueListener
| Value listener interface More...
class | IWindow
| Window interface. More...
class | IWindowController
| Window controller interface. More...
class | IWindowListener
| Window listener interface. More...
class | MenuBuilderAdapter
| Menu builder adapter. More...
class | NoMenuBuilder
| No menu builder adapter. More...
class | Preferences
class | ValueListenerAdapter
| Value listener adapter More...
class | WindowClosedListener
| Window closed listener More...
struct | WindowConfiguration
| Window configuration. More...
class | WindowControllerAdapter
| Window controller adapter More...
class | WindowListenerAdapter
| Window listener adapter More...
struct | WindowStyle
| Window style. More...

## Typedefs
using | WindowPtr = std::shared_ptr<IWindow>
using | WindowControllerPtr = std::shared_ptr<IWindowController>
using | ValuePtr = std::shared_ptr<IValue>
using | ValueConverterPtr = std::shared_ptr<IValueConverter>
using | PlatformFrameConfigPtr = std::shared_ptr<IPlatformFrameConfig>

## Enumerations
enum class | AlertResult { DefaultButton , SecondButton , ThirdButton , Error }
| Alert result. More...
enum class | CommonDirectoryLocation { AppPath , AppResourcesPath , AppPreferencesPath , AppCachesPath , UserDocumentsPath }
enum class | WindowType { Document , Popup }
| Window types. More...

## Functions
bool | operator== (const Command &c1, const Command &c2)
bool | operator!= (const Command &c1, const Command &c2)

## Variables
static constexpr const char * | DefaultPreferencesGroupSeparator = "::"

## Detailed Description

Standalone Library

See this page

## Typedef Documentation

## ◆ PlatformFrameConfigPtr

using PlatformFrameConfigPtr = std::shared_ptr<IPlatformFrameConfig>

## ◆ ValueConverterPtr

using ValueConverterPtr = std::shared_ptr<IValueConverter>

## ◆ ValuePtr

using ValuePtr = std::shared_ptr<IValue>

## ◆ WindowControllerPtr

using WindowControllerPtr = std::shared_ptr<IWindowController>

## ◆ WindowPtr

using WindowPtr = std::shared_ptr<IWindow>

## Enumeration Type Documentation

## ◆ CommonDirectoryLocation

enum class CommonDirectoryLocation
| strong

Enumerator
AppPath | Path to the application.
AppResourcesPath | Path to the resources of the application.
AppPreferencesPath | Path to the folder where application preferences are stored.
AppCachesPath | Path to the folder for application specific cache files.
UserDocumentsPath | Path to the users documents folder.

## Function Documentation

## ◆ operator!=()

bool operator!= | ( | const Command & | c1,
|  | const Command & | c2 )
| inline

## ◆ operator==()

bool operator== | ( | const Command & | c1,
|  | const Command & | c2 )
| inline

## Variable Documentation

## ◆ DefaultPreferencesGroupSeparator

const char* DefaultPreferencesGroupSeparator = "::"
| staticconstexpr